LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)
PNG_DIR = external/libpng/src
PNG_SRC_FILES = $(PNG_DIR)/png.c \
	$(PNG_DIR)/pngerror.c \
	$(PNG_DIR)/pngget.c \
	$(PNG_DIR)/pngmem.c \
	$(PNG_DIR)/pngpread.c \
	$(PNG_DIR)/pngread.c \
	$(PNG_DIR)/pngrio.c \
	$(PNG_DIR)/pngrtran.c \
	$(PNG_DIR)/pngrutil.c \
	$(PNG_DIR)/pngset.c \
	$(PNG_DIR)/pngtrans.c \
	$(PNG_DIR)/pngwio.c \
	$(PNG_DIR)/pngwrite.c \
	$(PNG_DIR)/pngwtran.c \
	$(PNG_DIR)/pngwutil.c \
	$(PNG_DIR)/arm/arm_init.c  \
	$(PNG_DIR)/arm/filter_neon_intrinsics.c

ZLIB_DIR = external/zlib/src
ZLIB_SRC_FILES = \
	$(ZLIB_DIR)/adler32.c \
	$(ZLIB_DIR)/compress.c \
	$(ZLIB_DIR)/crc32.c \
	$(ZLIB_DIR)/deflate.c \
	$(ZLIB_DIR)/gzclose.c \
	$(ZLIB_DIR)/gzlib.c \
	$(ZLIB_DIR)/gzread.c \
	$(ZLIB_DIR)/gzwrite.c \
	$(ZLIB_DIR)/infback.c \
	$(ZLIB_DIR)/inflate.c \
	$(ZLIB_DIR)/inftrees.c \
	$(ZLIB_DIR)/inffast.c \
	$(ZLIB_DIR)/trees.c \
	$(ZLIB_DIR)/uncompr.c \
	$(ZLIB_DIR)/zutil.c

NAME := triangle
LOCAL_MODULE := $(NAME)
LOCAL_SRC_FILES := $(PNG_SRC_FILES) $(ZLIB_SRC_FILES) $(NAME).cc
LOCAL_C_INCLUDES := $(LOCAL_PATH)/include

LOCAL_CPP_INCLUDES := $(LOCAL_PATH)/include $(LOCAL_PATH)/external
LOCAL_CFLAGS := -Wall
LOCAL_CPPFLAGS  = -Wall -stdlib=libc++
LOCAL_LDLIBS := -lvulkan
include $(BUILD_EXECUTABLE)
